org.apache.ignite.internal.managers.communication

## Class GridIoUserMessage

- java.lang.Object
- - org.apache.ignite.internal.managers.communication.GridIoUserMessage

All Implemented Interfaces:
  Serializable, Message

    public class GridIoUserMessage
    extends Object
    implements Message

User message wrapper.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridIoUserMessage()` Default constructor, required for `Externalizable`.

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable Object` `body()`
`void` `body(Object body)`
`@Nullable byte[]` `bodyBytes()`
`@Nullable IgniteUuid` `classLoaderId()`
`@Nullable GridDeployment` `deployment()`
`void` `deployment(GridDeployment dep)`
`@Nullable String` `deploymentClassName()`
`@Nullable DeploymentMode` `deploymentMode()`
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`@Nullable Map<UUID,IgniteUuid>` `loaderParticipants()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`@Nullable Object` `topic()`
`void` `topic(Object topic)`
`@Nullable byte[]` `topicBytes()`
`String` `toString()`
`@Nullable String` `userVersion()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridIoUserMessage

    public GridIoUserMessage()

Default constructor, required for `Externalizable`.

### Method Detail

#### bodyBytes

    @Nullable
    public @Nullable byte[] bodyBytes()

Returns:
  Serialized message body.

#### classLoaderId

    @Nullable
    public @Nullable IgniteUuid classLoaderId()

Returns:
  the Class loader ID.

#### deploymentMode

    @Nullable
    public @Nullable DeploymentMode deploymentMode()

Returns:
  Deployment mode.

#### deploymentClassName

    @Nullable
    public @Nullable String deploymentClassName()

Returns:
  Message body class name.

#### userVersion

    @Nullable
    public @Nullable String userVersion()

Returns:
  User version.

#### loaderParticipants

    @Nullable
    public @Nullable Map<UUID,IgniteUuid> loaderParticipants()

Returns:
  Node class loader participant map.

#### topicBytes

    @Nullable
    public @Nullable byte[] topicBytes()

Returns:
  Serialized message topic.

#### topic

    public void topic(Object topic)

Parameters:
  `topic` - New message topic.

#### topic

    @Nullable
    public @Nullable Object topic()

Returns:
  Message topic.

#### body

    public void body(Object body)

Parameters:
  `body` - New message body.

#### body

    @Nullable
    public @Nullable Object body()

Returns:
  Message body.

#### deployment

    public void deployment(GridDeployment dep)

Parameters:
  `dep` - New message deployment.

#### deployment

    @Nullable
    public @Nullable GridDeployment deployment()

Returns:
  Message deployment.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020